Hello,
In first time, thank to Sam for the mips1 hal version.
I'm working with a mips1 madwifi driver and I have some problems. I was compiled again all the tools for make it. For you know:
        1.) Re-compiled binutils version 2.11.93
        2.) Download the last CVS madwifi version.
        3.) Re-compiled wireless-tools version 21-3 with WExtension 16.
        4.) Compile the madwifi driver.
When I try to load it, the system show me this:
 
bash-2.04# insmod ath_hal/ath_hal.o
Warning: loading ath_hal/ath_hal.o will taint the kernel: non-GPL license - Proprietary
bash-2.04# insmod wlan/wlan.o
bash-2.04# insmod driver/ath_pci.o
bash-2.04# lsmod
Module Size Used by Tainted: P
ath_pci 39328 0 (unused)
wlan 60896 1 [ath_pci]
ath_hal 152352 1 [ath_pci]
 
iwconfig ath0
Warning: Driver for device ath0 has been compiled with version 0
of Wireless Extension, while this program is using version 16.
Some things may be broken...
 
ath0       ESSID:off/any Nickname:""
        NWID:0 Channel:0 Access Point: FF:7F:21:00:00:00
        Bit Rate=2.14745Gb/s Tx-Power=2147449096 dBm Sensitivity:0/0
        Retry:on RTS thr=2147449096 B Fragment thr=2147449096 B
        Encryption key:0000-0000-0000-0000-0000-0000-0000-0000-0000-0000-0000-0000-0000-0000-0000-0000
        Power Management0000-0000-0000-0000-0000-0000-0000-0000-0000-0000-0000-0000-0000-0000-0000-0000:on
        Link Quality:0/0 Signal level:-95 dBm Noise level:-95 dBm
        Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
        Tx excessive retries:0 Invalid misc:0 Missed beacon:0
 
Of course that the driver don't work. Anybody have this problem and/or the solution?
 
Regards,
Claudio